package com.rjconsultores.ventaboletos.rest.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.rjconsultores.routing.ReadOnlyConnection;
import com.rjconsultores.ventaboletos.dao.ClasseServicoDAO;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.rest.bean.ParamsSincronizarClasse;
import com.rjconsultores.ventaboletos.vo.clase.ClaseVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Service("sincronizarClasseService")
public class SincronizarClasseService {

	@ReadOnlyConnection
	public List<ClaseVO> buscarListaClassesPorId(ParamsSincronizarClasse params) {
		ClasseServicoDAO claseServicioDAO = (ClasseServicoDAO)AppContext.getApplicationContext().getBean("claseServicioDAO");
		List<ClaseServicio> listaClasse = claseServicioDAO.buscarListaPorIds(params.getListClasses());
		List<ClaseVO> listaClasseVO = new ArrayList<ClaseVO>();
		for (ClaseServicio classe : listaClasse) {
			listaClasseVO.add( new ClaseVO(classe) );
		}
		
		return listaClasseVO;
	}	
	
}